Subject: bug#1031: 23.0.60; RET in solitaire not working under emacs-nw

From: Tyler Spivey <[email-masked]>
Date: Fri, 26 Sep 2008 00:21:05 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

When pressing RET in solitaire under emacs -nw, I get the following
message:
Buffer is read-only: #<buffer *Solitaire*>
When I try this under X, I get the standard Move Where prompt.

Steps to reproduce:
1. Run emacs -nw
2. M-x Solitaire RET
3. RET

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.12.11)
 of 2008-09-25 on arch1
configured using `configure  '--prefix=/usr' '--localstatedir=/var/lib/emacs' '--libexecdir=/usr/lib/emacs' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-x-toolkit=gtk' '--without-sound' '--enable-font-backend' '--with-freetype' '--with-xft' '--with-libotf' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  gpm-mouse-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  transient-mark-mode: t

Recent input:
ESC x s o l i t a i r e RET RET q C-e m ESC x r e p 
o r t - e m a c s - b u f RET C-e l DEL g RET

Recent messages:
Loaded oddmuse-prepare
Loading /home/tyler/elisp/twit-prepare.el (source)...
Loading /home/tyler/elisp/twit.el (source)...done
Loading /home/tyler/elisp/twit-prepare.el (source)...done
Loaded twit-prepare
Toggling menu-bar-mode off; better pass an explicit argument.
Loading /home/tyler/.emacs.d/emms/cache...done
Loading emacspeak-keymap...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Buffer is read-only: #<buffer *Solitaire*>